Page MenuHomePhabricator

It should be possible to run MobileFormatter on the main page without treating it any differently
Closed, ResolvedPublic

Description

Currently the main page is special cased and does not become sectionized and thus does not support section collapsing. It's possible to disable the main page special casing but its not possible to enable section collapsing.

On certain third party instances however this doesn't make sense.

Acceptance criteria

  • When main page is not special casing e.g. $wgMFSpecialCaseMainPage = false treat the main page like a normal page - if it has headings they should be collapsible.
  • section collapsing should work such as https://baripedia.org/wiki/Accueil

Event Timeline

Jdlrobson created this task.Oct 3 2017, 9:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2017, 9:29 PM
revi added a subscriber: revi.Jan 16 2018, 12:08 AM
Jdlrobson updated the task description. (Show Details)Feb 5 2018, 11:28 PM

Change 408467 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] When main page special casing disabled treat as normal page

https://gerrit.wikimedia.org/r/408467

Change 408467 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] When main page special casing disabled treat as normal page

https://gerrit.wikimedia.org/r/408467

Jdlrobson updated the task description. (Show Details)Feb 7 2018, 4:36 PM

Change 408833 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Remove main page toggle check

https://gerrit.wikimedia.org/r/408833

Change 408833 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove main page toggle check

https://gerrit.wikimedia.org/r/408833

Jdlrobson closed this task as Resolved.Mar 6 2018, 5:55 PM
Jdlrobson claimed this task.

Change 420167 had a related patch set uploaded (by Reception123; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@REL1_30] Remove main page toggle check

https://gerrit.wikimedia.org/r/420167

Change 420175 had a related patch set uploaded (by Paladox; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@REL1_30] When main page special casing disabled treat as normal page

https://gerrit.wikimedia.org/r/420175

Change 420175 merged by Niedzielski:
[mediawiki/extensions/MobileFrontend@REL1_30] When main page special casing disabled treat as normal page

https://gerrit.wikimedia.org/r/420175

Change 420167 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@REL1_30] Remove main page toggle check

https://gerrit.wikimedia.org/r/420167